Package ru.bitel.bgbilling.modules.voice.common.bean

# Class VoiceGeographicRange

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.bgbilling.modules.voice.common.bean.VoiceGeographicRange

All Implemented Interfaces:
  `Serializable`, `Idable`

public class VoiceGeographicRange extends Id

See Also:
  - Serialized Form

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `VoiceGeographicRange.Builder`

- ## Field Summary

  ### Fields inherited from class ru.bitel.common.model.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `VoiceGeographicRange()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static VoiceGeographicRange.Builder`
  `builder()`
  `int`
  `getDestinationId()`
  `String`
  `getMobileId()`
  `int`
  `getOperatorId()`
  `long`
  `getRangeFrom()`
  `long`
  `getRangeTo()`
  `void`
  `setDestinationId(int destinationId)`
  `void`
  `setMobileId(String mobileId)`
  `void`
  `setOperatorId(int operatorId)`
  `void`
  `setRangeFrom(long rangeFrom)`
  `void`
  `setRangeTo(long rangeTo)`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### VoiceGeographicRange

    public VoiceGeographicRange()

- ## Method Details

  - ### getRangeFrom

    public long getRangeFrom()

  - ### getRangeTo

    public long getRangeTo()

  - ### getDestinationId

    public int getDestinationId()

  - ### getOperatorId

    public int getOperatorId()

  - ### getMobileId

    public String getMobileId()

  - ### setRangeFrom

    public void setRangeFrom(long rangeFrom)

  - ### setRangeTo

    public void setRangeTo(long rangeTo)

  - ### setDestinationId

    public void setDestinationId(int destinationId)

  - ### setOperatorId

    public void setOperatorId(int operatorId)

  - ### setMobileId

    public void setMobileId(String mobileId)

  - ### builder

    public static VoiceGeographicRange.Builder builder()